High Court Case Order API
High Court Case Order API Retrieves detailed order information associated with a specific case in the High Court system. The API can be used to fetch order dates, order details, order status, and related case/order records based on case identification parameters such as case number, case year, case type, court, district, and state.
Request URL
POST
https://api.g99.co.in/api/v1/courtxhc/search/orders
Request Body Parameters
| Type |
Name |
Optional |
Description |
| String |
cnrNumber |
Required |
Unique court case tracking number. |
| String |
attachId |
Required |
Relevant Attach ID associated with the case of bussiness date. |
Sample Request Payload
{
"cnrNumber": "HCCH010011112024",
"attachId": "cl+sGJoSJ58oyVespa8VHg==||E51znljD29JOdRRIWrioZN+vYuNenDqpi/4AXfFTLOg=||cl+sGJoSJ58oyVespa8VHg==||DHh/fWf8ewvTasKa8j8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg||"
}
Sample Code
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxhc/search/orders',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"cnrNumber": "HCCH010011112024",
"attachId": "cl+sGJoSJ58oyVespa8VHg==||E51znljD29JOdRRIWrioZN+vYuNenDqpi/4AXfFTLOg=||cl+sGJoSJ58oyVespa8VHg==||DHh/fWf8ewvTasKa8j8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg||"
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
import json
url = "https://api.g99.co.in/api/v1/courtxhc/search/orders"
payload = json.dumps({
"cnrNumber": "HCCH010011112024",
"attachId": "cl+sGJoSJ58oyVespa8VHg==||E51znljD29JOdRRIWrioZN+vYuNenDqpi/4AXfFTLOg=||cl+sGJoSJ58oyVespa8VHg==||DHh/fWf8ewvTasKa8j8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg||"
})
headers = {
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxhc/search/orders");
var content = new StringContent("{\r\n \"cnr\": \"HCCH010011112026\",\r\n \"attachId\": \"cl+sGJoSJ58oyVespa8VHg==||E51znljD29JOdRRIWrioZN+vYuNenDqpi/4AXfFTLOg=||cl+sGJoSJ58oyVespa8VHg==||DHh/fWf8ewvTasKa8j8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg||\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Error Response
| Parameter |
Type |
Description |
| status |
Number |
Unique error codes for different errors. Always available. |
| message |
String |
Error message describing the error. Always Available. |
| error |
Boolean |
True / False for different errors. Always available. |
Error Codes
| HTTP Status |
Error Code |
Error Message |
| 400 |
4001 |
Malformed data or missing required parameter values. |
| 500 |
5001 |
Request could not be processed. Please try again later. |
Sample Error Response
{
"message": "Malformed data or missing required parameter values.",
"status": 4001,
"error": True
}